import httpRequest from '@/utils/axios'

/**
 * 获取模板列表
 */
export function getTemplateList(params) {
  return httpRequest.get('/api/certificate/v1/backend/template/list', { params })
}

/**
 * 获取学员列表
 */
export function getStudentList(params) {
  return httpRequest.get('/api/certificate/v1/backend/student/list', { params })
}

/**
 * 更新项目
 */
export function updateProject(data) {
  return httpRequest.post('/api/certificate/v1/backend/project/update', data)
}

/**
 * 新建项目
 */
export function createProject(data) {
  return httpRequest.post('/api/certificate/v1/backend/project/create', data)
}

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/certificate/v1/backend/project/list', { params })
}

/**
 * 获取项目详情
 */
export function getDetails(params) {
  return httpRequest.get('/api/certificate/v1/backend/project/view', { params })
}

/**
 * 删除项目
 */
export function deleteProject(data) {
  return httpRequest.post('/api/certificate/v1/backend/project/delete', data)
}

/**
 * 办法证书
 */
export function projectPublish(data) {
  return httpRequest.post('/api/certificate/v1/backend/project/publish', data)
}
